"""
www.ixi-software.net | info@ixi-software.net
license GPL
version 0.1 january 2007

check readme.txt file for how to use and documentation
"""

from wxmirra import *


class MyGUI(Server):
    
    def doWidgets(self):
        Label("This is just a label",  (10, 100))
        Toggle("/toggle1", 'toggle test', (200, 50), (80, 30))
        Button("/button1", 'button test', (100, 20), (90, 40))
        Slider("/slider1", 'slider test', (100, 220), (160, 40), range=(10, 1000))
        Slider("/slider2", 'slider vertical', (20, 140), (80, 100), style='vertical')
        Choice("/choice1", 'choice test', (250, 200), choices=['one.wav', 'file.wav', 'xx.wav'])
        RadioBox("/radio1", 'radiobox test', (300, 20), choices=["a", "b"])
        Number("/num1", 'number test', (300, 140), value=12, range=(3, 155))


# start up
if __name__ == '__main__': 
    MyGUI(size=(400, 350), fps=10, app='chuck', patch='oscapp.ck')



    

